msg_remove_queue
msg_set_queue
Semaphore Functions
PHP Manual

# msg_send

Send a message to a message queue

### Description

bool msg_send ( resource `$queue` , int `$msgtype` , mixed `$message` [, bool `$serialize` = true [, bool `$blocking` = true [, int `&$errorcode` ]]] )

msg_send sends a `message` of type `msgtype` (which MUST be greater than 0) to the message queue specified by `queue`.

### Parameters

`queue`

`msgtype`

`message`

`serialize`

  The optional `serialize` controls how the `message` is sent. `serialize` defaults to `TRUE` which means that the `message` is serialized using the same mechanism as the session module before being sent to the queue. This allows complex arrays and objects to be sent to other PHP scripts, or if you are using the WDDX serializer, to any WDDX compatible client.

`blocking`

  If the message is too large to fit in the queue, your script will wait until another process reads messages from the queue and frees enough space for your message to be sent. This is called blocking; you can prevent blocking by setting the optional `blocking` parameter to `FALSE`, in which case msg_send will immediately return `FALSE` if the message is too big for the queue, and set the optional `errorcode` to `MSG_EAGAIN`, indicating that you should try to send your message again a little later on.

`errorcode`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

Upon successful completion the message queue data structure is updated as follows: `msg_lspid` is set to the process-ID of the calling process, `msg_qnum` is incremented by 1 and `msg_stime` is set to the current time.

### See Also

- msg_remove_queue
- msg_receive
- msg_stat_queue
- msg_set_queue